namespace elm { namespace toolbar { 
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Item::prev_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_item_prev_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Item::next_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_item_next_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits<int>::type Item::priority_get() const
{
   int __return_value =  ::elm_obj_toolbar_item_priority_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Item::priority_set( ::efl::eolian::in_traits<int>::type priority) const
{
    ::elm_obj_toolbar_item_priority_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(priority));
}
inline ::efl::eolian::return_traits<bool>::type Item::selected_get() const
{
   Eina_Bool __return_value =  ::elm_obj_toolbar_item_selected_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Item::selected_set( ::efl::eolian::in_traits<bool>::type selected) const
{
    ::elm_obj_toolbar_item_selected_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(selected));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Item::icon_get() const
{
   const char * __return_value =  ::elm_obj_toolbar_item_icon_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Item::icon_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type icon) const
{
    ::elm_obj_toolbar_item_icon_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(icon));
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Item::object_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_toolbar_item_object_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Item::icon_object_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_toolbar_item_icon_object_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Item::separator_get() const
{
   Eina_Bool __return_value =  ::elm_obj_toolbar_item_separator_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Item::separator_set( ::efl::eolian::in_traits<bool>::type separator) const
{
    ::elm_obj_toolbar_item_separator_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(separator));
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Item::menu_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_toolbar_item_menu_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Item::icon_memfile_set( ::efl::eolian::in_traits<void const*>::type img,  ::efl::eolian::in_traits< size_t>::type size,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type format,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type key) const
{
   Eina_Bool __return_value =  ::elm_obj_toolbar_item_icon_memfile_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(img)
      ,  ::efl::eolian::convert_to_c<size_t,  ::efl::eolian::in_traits< size_t>::type>(size)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(format)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(key));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Item::icon_file_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type file,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type key) const
{
   Eina_Bool __return_value =  ::elm_obj_toolbar_item_icon_file_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(file)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(key));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Item::show( ::efl::eolian::in_traits<Elm_Toolbar_Item_Scrollto_Type>::type scrollto) const
{
    ::elm_obj_toolbar_item_show(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Toolbar_Item_Scrollto_Type,  ::efl::eolian::in_traits<Elm_Toolbar_Item_Scrollto_Type>::type>(scrollto));
}
inline ::efl::eolian::return_traits<void>::type Item::bring_in( ::efl::eolian::in_traits<Elm_Toolbar_Item_Scrollto_Type>::type scrollto) const
{
    ::elm_obj_toolbar_item_bring_in(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Toolbar_Item_Scrollto_Type,  ::efl::eolian::in_traits<Elm_Toolbar_Item_Scrollto_Type>::type>(scrollto));
}
inline ::efl::eolian::return_traits<void>::type Item::menu_set( ::efl::eolian::in_traits<bool>::type menu) const
{
    ::elm_obj_toolbar_item_menu_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(menu));
}
} } 
namespace eo_cxx {
namespace elm { namespace toolbar { 
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Item::prev_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_item_prev_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Item::next_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_item_next_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits<int>::type Item::priority_get() const
{
   int __return_value =  ::elm_obj_toolbar_item_priority_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Item::priority_set( ::efl::eolian::in_traits<int>::type priority) const
{
    ::elm_obj_toolbar_item_priority_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(priority));
}
inline ::efl::eolian::return_traits<bool>::type Item::selected_get() const
{
   Eina_Bool __return_value =  ::elm_obj_toolbar_item_selected_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Item::selected_set( ::efl::eolian::in_traits<bool>::type selected) const
{
    ::elm_obj_toolbar_item_selected_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(selected));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Item::icon_get() const
{
   const char * __return_value =  ::elm_obj_toolbar_item_icon_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Item::icon_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type icon) const
{
    ::elm_obj_toolbar_item_icon_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(icon));
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Item::object_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_toolbar_item_object_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Item::icon_object_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_toolbar_item_icon_object_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Item::separator_get() const
{
   Eina_Bool __return_value =  ::elm_obj_toolbar_item_separator_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Item::separator_set( ::efl::eolian::in_traits<bool>::type separator) const
{
    ::elm_obj_toolbar_item_separator_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(separator));
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Item::menu_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_toolbar_item_menu_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Item::icon_memfile_set( ::efl::eolian::in_traits<void const*>::type img,  ::efl::eolian::in_traits< size_t>::type size,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type format,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type key) const
{
   Eina_Bool __return_value =  ::elm_obj_toolbar_item_icon_memfile_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(img)
      ,  ::efl::eolian::convert_to_c<size_t,  ::efl::eolian::in_traits< size_t>::type>(size)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(format)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(key));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Item::icon_file_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type file,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type key) const
{
   Eina_Bool __return_value =  ::elm_obj_toolbar_item_icon_file_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(file)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(key));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Item::show( ::efl::eolian::in_traits<Elm_Toolbar_Item_Scrollto_Type>::type scrollto) const
{
    ::elm_obj_toolbar_item_show(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Toolbar_Item_Scrollto_Type,  ::efl::eolian::in_traits<Elm_Toolbar_Item_Scrollto_Type>::type>(scrollto));
}
inline ::efl::eolian::return_traits<void>::type Item::bring_in( ::efl::eolian::in_traits<Elm_Toolbar_Item_Scrollto_Type>::type scrollto) const
{
    ::elm_obj_toolbar_item_bring_in(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Toolbar_Item_Scrollto_Type,  ::efl::eolian::in_traits<Elm_Toolbar_Item_Scrollto_Type>::type>(scrollto));
}
inline ::efl::eolian::return_traits<void>::type Item::menu_set( ::efl::eolian::in_traits<bool>::type menu) const
{
    ::elm_obj_toolbar_item_menu_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(menu));
}
inline elm::toolbar::Item::operator ::elm::toolbar::Item() const { return *static_cast< ::elm::toolbar::Item const*>(static_cast<void const*>(this)); }
inline elm::toolbar::Item::operator ::elm::toolbar::Item&() { return *static_cast< ::elm::toolbar::Item*>(static_cast<void*>(this)); }
inline elm::toolbar::Item::operator ::elm::toolbar::Item const&() const { return *static_cast< ::elm::toolbar::Item const*>(static_cast<void const*>(this)); }
} } }

